# There is a package in @copr/PyPI but it hasn't been rebuilt since F35
# https://copr.fedorainfracloud.org/coprs/g/copr/PyPI/package/python-wn/

Name:           python-wn
Version:        0.9.1
Release:        1%{?dist}
Summary:        Wordnet interface library

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pypi.org/project/wn/
Source:         %{pypi_source wn}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(starlette)

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'wn' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-wn
Summary:        %{summary}

%description -n python3-wn %_description


%prep
%autosetup -p1 -n wn-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-wn -f %{pyproject_files}


%changelog
* Sat Jan 28 2023 Justin Koh <j@ustink.org> - 0.9.1-1
- Initial package
